(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
1. Getting Started
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Using the Package for the First Time
:[font = input; initialization; preserveAspect; endGroup]
*)
Needs["ControlSystems`Master`"]
(*
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
The Control Objects
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, 1/s]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{s^(-1)}}]
;[o]
                      1
TransferFunction[s, {{-}}]
                      s
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[%]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0}}, {{1}}, {{1}}]
;[o]
StateSpace[{{0}}, {{1}}, {{1}}]
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[TransferFunction[s, 1/s],
 Sampled -> Period[T]]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{T/(-1 + s)}}, Sampled -> Period[T]]
;[o]
                        T
TransferFunction[s, {{------}}, Sampled -> Period[T]]
                      -1 + s
:[font = input; Cclosed; preserveAspect; startGroup]
ToContinuousTime[%]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
TransferFunction[s, {{s^(-1)}}]
;[o]
                      1
TransferFunction[s, {{-}}]
                      s
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
The Notation for the Imaginary Unit
:[font = input; inactive; preserveAspect]
(
 j = I;
 Unprotect[Complex];
 Format[Complex[x_, y_]] := x + "j" y;
 Protect[j, Complex];
)
:[font = input; Cclosed; preserveAspect; startGroup]
2 + 3 Sqrt[-1]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
2 + 3*I
;[o]
2 + 3 j
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Numericalizing for Speed
:[font = input; closed; preserveAspect]
SeedRandom[100]
:[font = input; Cclosed; preserveAspect; startGroup]
Array[Random[Integer]&, {4, 4}]//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{1, 0, 0, 0}, {0, 0, 0, 1}, {1, 0, 1, 0}, {1, 1, 0, 1}}]
;[o]
1   0   0   0

0   0   0   1

1   0   1   0

1   1   0   1
:[font = input; Cclosed; preserveAspect; startGroup]
Eigenvalues[%]//Timing
:[font = output; output; inactive; preserveAspect; endGroup]
{0.03999999999999915*Second, {1, 1, (1 - 5^(1/2))/2, (1 + 5^(1/2))/2}}
;[o]
                     1 - Sqrt[5]  1 + Sqrt[5]
{0.04 Second, {1, 1, -----------, -----------}}
                          2            2
:[font = input; Cclosed; preserveAspect; startGroup]
Eigenvalues[N[%%]]//Timing
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
{0.*Second, {1.618033988749895, 1., 1., -0.6180339887498949}}
;[o]
{0. Second, {1.61803, 1., 1., -0.618034}}
^*)
