(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
11. Nonlinear Control Systems
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Local Linearization of Nonlinear Systems
:[font = input; preserveAspect]
Needs["ControlSystems`Master`"]
:[font = input; Cclosed; preserveAspect; startGroup]
f = {
 x2,
 g - 1/M x3^2/x1,
 - R/L x3 + 1/L e
}
:[font = output; output; inactive; preserveAspect; endGroup]
{x2, g - x3^2/(M*x1), e/L - (R*x3)/L}
;[o]
           2
         x3    e   R x3
{x2, g - ----, - - ----}
         M x1  L    L
:[font = input; Cclosed; preserveAspect; startGroup]
h = x1
:[font = output; output; inactive; preserveAspect; endGroup]
x1
;[o]
x1
:[font = input; Cclosed; preserveAspect; startGroup]
ball = Linearize[f,
 {{x1, x10}, {x2, x20}, {x3, x30}},
 {e, e0}
]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0}, {x30^2/(M*x10^2), 0, 
 
    (-2*x30)/(M*x10)}, {0, 0, -(R/L)}}, 
 
  {{0}, {0}, {L^(-1)}}]
;[o]
                            2
                         x30       -2 x30            R
StateSpace[{{0, 1, 0}, {------, 0, ------}, {0, 0, -(-)}}, 
                             2     M x10             L
                        M x10
 
              1
  {{0}, {0}, {-}}]
              L
:[font = input; Cclosed; preserveAspect; startGroup]
Linearize[f, h,
 {{x1, x10}, {x2, 0}, {x3, x30}},
 {e, e0}
]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0}, {x30^2/(M*x10^2), 0, 
 
    (-2*x30)/(M*x10)}, {0, 0, -(R/L)}}, 
 
  {{0}, {0}, {L^(-1)}}, {{1, 0, 0}}, {{0}}]
;[o]
                            2
                         x30       -2 x30            R
StateSpace[{{0, 1, 0}, {------, 0, ------}, {0, 0, -(-)}}, 
                             2     M x10             L
                        M x10
 
              1
  {{0}, {0}, {-}}, {{1, 0, 0}}, {{0}}]
              L
:[font = input; Cclosed; preserveAspect; startGroup]
{
 x10 -> l0,
 x20 -> 0,
 x30 -> Sqrt[M g l0]
}
:[font = output; output; inactive; preserveAspect; endGroup]
{x10 -> l0, x20 -> 0, x30 -> (g*l0*M)^(1/2)}
;[o]
{x10 -> l0, x20 -> 0, x30 -> Sqrt[g l0 M]}
:[font = input; Cclosed; preserveAspect; startGroup]
ball = ball /. %
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0}, {g/l0, 0, 
 
    (-2*(g*l0*M)^(1/2))/(l0*M)}, {0, 0, -(R/L)}}, 
 
  {{0}, {0}, {L^(-1)}}]
;[o]
                        g      -2 Sqrt[g l0 M]
StateSpace[{{0, 1, 0}, {--, 0, ---------------}, 
                        l0          l0 M
 
            R                 1
   {0, 0, -(-)}}, {{0}, {0}, {-}}]
            L                 L
:[font = input; Cclosed; preserveAspect; startGroup]
%//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1, 0}, 
 
    {g/l0, 0, (-2*(g*l0*M)^(1/2))/(l0*M)}, {0, 0, -(R/L)}}, 
 
   {{0}, {0}, {L^(-1)}}]]
;[o]
   0    1   0

   g        -2 Sqrt[g l0 M]
   --       ---------------
   l0   0        l0 M

              R
            -(-)
A  0    0     L


   0

   0

   1
   -
B  L
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackGains[ball, {p1, p2, p3}]
:[font = output; output; inactive; preserveAspect; endGroup]
{{(L*M*(g*p1 + g*p2 + g*p3 + l0*p1*p2*p3))/
 
    (2*(g*l0*M)^(1/2)), -(L*M*
 
       (g + l0*p1*p2 + l0*p1*p3 + l0*p2*p3))/
 
    (2*(g*l0*M)^(1/2)), -((L*(g*l0*M)^(1/2)*p1 + 
 
        L*(g*l0*M)^(1/2)*p2 + L*(g*l0*M)^(1/2)*p3 + 
 
        (g*l0*M)^(1/2)*R)/(g*l0*M)^(1/2))}}
;[o]
  L M (g p1 + g p2 + g p3 + l0 p1 p2 p3)
{{--------------------------------------, 
              2 Sqrt[g l0 M]
 
   -(L M (g + l0 p1 p2 + l0 p1 p3 + l0 p2 p3))
   -------------------------------------------, 
                 2 Sqrt[g l0 M]
 
   -((L Sqrt[g l0 M] p1 + L Sqrt[g l0 M] p2 + 
 
        L Sqrt[g l0 M] p3 + Sqrt[g l0 M] R) / Sqrt[g l0 M])}
 
   }
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackConnect[ball, %]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0}, {g/l0, 0, 
 
    (-2*(g*l0*M)^(1/2))/(l0*M)}, 
 
   {(-(L*(g*l0*M)^(1/2)*p1)/(2*l0) - 
 
       (L*(g*l0*M)^(1/2)*p2)/(2*l0) - 
 
       (L*(g*l0*M)^(1/2)*p3)/(2*l0) - 
 
       (L*(g*l0*M)^(1/2)*p1*p2*p3)/(2*g))/L, 
 
    ((L*(g*l0*M)^(1/2))/(2*l0) + 
 
       (L*(g*l0*M)^(1/2)*p1*p2)/(2*g) + 
 
       (L*(g*l0*M)^(1/2)*p1*p3)/(2*g) + 
 
       (L*(g*l0*M)^(1/2)*p2*p3)/(2*g))/L, 
 
    -(R/L) + (L*p1 + L*p2 + L*p3 + R)/L}}, 
 
  {{0}, {0}, {L^(-1)}}]
;[o]
                        g      -2 Sqrt[g l0 M]
StateSpace[{{0, 1, 0}, {--, 0, ---------------}, 
                        l0          l0 M
 
     -(L Sqrt[g l0 M] p1)   L Sqrt[g l0 M] p2
   {(-------------------- - ----------------- - 
             2 l0                 2 l0
 
       L Sqrt[g l0 M] p3   L Sqrt[g l0 M] p1 p2 p3
       ----------------- - -----------------------) / L, 
             2 l0                    2 g
 
     L Sqrt[g l0 M]   L Sqrt[g l0 M] p1 p2
    (-------------- + -------------------- + 
          2 l0                2 g
 
       L Sqrt[g l0 M] p1 p3   L Sqrt[g l0 M] p2 p3
       -------------------- + --------------------) / L, 
               2 g                    2 g
 
      R    L p1 + L p2 + L p3 + R                1
    -(-) + ----------------------}}, {{0}, {0}, {-}}]
      L              L                           L
:[font = input; Cclosed; preserveAspect; startGroup]
% /. {
 l0 -> .1, M -> 10 10^-3,
 L -> 10., R -> 100,
 g -> 9.8,
 p1 -> -1, p2 -> -1 - I, p3 -> -1 + I
}//Chop
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0}, {98., 0, -197.9898987322333}, 
 
   {1.495025765937272, 0.5151777977216275, -3.}}, 
 
  {{0}, {0}, {0.1}}]
;[o]
StateSpace[{{0, 1, 0}, {98., 0, -197.99}, 
 
   {1.49503, 0.515178, -3.}}, {{0}, {0}, {0.1}}]
:[font = input; Cclosed; preserveAspect; startGroup]
Insert[%, IdentityMatrix[3], -1]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0}, {98., 0, -197.9898987322333}, 
 
   {1.495025765937272, 0.5151777977216275, -3.}}, 
 
  {{0}, {0}, {0.1}}, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]
;[o]
StateSpace[{{0, 1, 0}, {98., 0, -197.99}, 
 
   {1.49503, 0.515178, -3.}}, {{0}, {0}, {0.1}}, 
 
  {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]
:[font = input; Cclosed; preserveAspect; startGroup]
SimulationPlot[%, -.01, {t, 5},
 Sampled -> Period[.1],
 PlotStyle -> {
 Thickness[.001],
 Dashing[{.04, .02}],
 Dashing[{.05, .01, .01, .01}]
 },
 PlotLabel -> "Step Response"
]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.190476 0.0151371 5.97201 [
[(1)] .21429 .01514 0 2 Msboxa
[(2)] .40476 .01514 0 2 Msboxa
[(3)] .59524 .01514 0 2 Msboxa
[(4)] .78571 .01514 0 2 Msboxa
[(5)] .97619 .01514 0 2 Msboxa
[(Step Response)] .5 .61803 0 -2 Msboxa
[(0.02)] .01131 .13458 1 0 Msboxa
[(0.04)] .01131 .25402 1 0 Msboxa
[(0.06)] .01131 .37346 1 0 Msboxa
[(0.08)] .01131 .4929 1 0 Msboxa
[(0.1)] .01131 .61234 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.21429 .01514 m
.21429 .02139 L
s
P
[(1)] .21429 .01514 0 2 Mshowa
p
.002 w
.40476 .01514 m
.40476 .02139 L
s
P
[(2)] .40476 .01514 0 2 Mshowa
p
.002 w
.59524 .01514 m
.59524 .02139 L
s
P
[(3)] .59524 .01514 0 2 Mshowa
p
.002 w
.78571 .01514 m
.78571 .02139 L
s
P
[(4)] .78571 .01514 0 2 Mshowa
p
.002 w
.97619 .01514 m
.97619 .02139 L
s
P
[(5)] .97619 .01514 0 2 Mshowa
p
.001 w
.0619 .01514 m
.0619 .01889 L
s
P
p
.001 w
.1 .01514 m
.1 .01889 L
s
P
p
.001 w
.1381 .01514 m
.1381 .01889 L
s
P
p
.001 w
.17619 .01514 m
.17619 .01889 L
s
P
p
.001 w
.25238 .01514 m
.25238 .01889 L
s
P
p
.001 w
.29048 .01514 m
.29048 .01889 L
s
P
p
.001 w
.32857 .01514 m
.32857 .01889 L
s
P
p
.001 w
.36667 .01514 m
.36667 .01889 L
s
P
p
.001 w
.44286 .01514 m
.44286 .01889 L
s
P
p
.001 w
.48095 .01514 m
.48095 .01889 L
s
P
p
.001 w
.51905 .01514 m
.51905 .01889 L
s
P
p
.001 w
.55714 .01514 m
.55714 .01889 L
s
P
p
.001 w
.63333 .01514 m
.63333 .01889 L
s
P
p
.001 w
.67143 .01514 m
.67143 .01889 L
s
P
p
.001 w
.70952 .01514 m
.70952 .01889 L
s
P
p
.001 w
.74762 .01514 m
.74762 .01889 L
s
P
p
.001 w
.82381 .01514 m
.82381 .01889 L
s
P
p
.001 w
.8619 .01514 m
.8619 .01889 L
s
P
p
.001 w
.9 .01514 m
.9 .01889 L
s
P
p
.001 w
.9381 .01514 m
.9381 .01889 L
s
P
p
.002 w
0 .01514 m
1 .01514 L
s
P
[(Step Response)] .5 .61803 0 -2 Mshowa
p
.002 w
.02381 .13458 m
.03006 .13458 L
s
P
[(0.02)] .01131 .13458 1 0 Mshowa
p
.002 w
.02381 .25402 m
.03006 .25402 L
s
P
[(0.04)] .01131 .25402 1 0 Mshowa
p
.002 w
.02381 .37346 m
.03006 .37346 L
s
P
[(0.06)] .01131 .37346 1 0 Mshowa
p
.002 w
.02381 .4929 m
.03006 .4929 L
s
P
[(0.08)] .01131 .4929 1 0 Mshowa
p
.002 w
.02381 .61234 m
.03006 .61234 L
s
P
[(0.1)] .01131 .61234 1 0 Mshowa
p
.001 w
.02381 .03903 m
.02756 .03903 L
s
P
p
.001 w
.02381 .06291 m
.02756 .06291 L
s
P
p
.001 w
.02381 .0868 m
.02756 .0868 L
s
P
p
.001 w
.02381 .11069 m
.02756 .11069 L
s
P
p
.001 w
.02381 .15847 m
.02756 .15847 L
s
P
p
.001 w
.02381 .18235 m
.02756 .18235 L
s
P
p
.001 w
.02381 .20624 m
.02756 .20624 L
s
P
p
.001 w
.02381 .23013 m
.02756 .23013 L
s
P
p
.001 w
.02381 .27791 m
.02756 .27791 L
s
P
p
.001 w
.02381 .30179 m
.02756 .30179 L
s
P
p
.001 w
.02381 .32568 m
.02756 .32568 L
s
P
p
.001 w
.02381 .34957 m
.02756 .34957 L
s
P
p
.001 w
.02381 .39735 m
.02756 .39735 L
s
P
p
.001 w
.02381 .42123 m
.02756 .42123 L
s
P
p
.001 w
.02381 .44512 m
.02756 .44512 L
s
P
p
.001 w
.02381 .46901 m
.02756 .46901 L
s
P
p
.001 w
.02381 .51679 m
.02756 .51679 L
s
P
p
.001 w
.02381 .54067 m
.02756 .54067 L
s
P
p
.001 w
.02381 .56456 m
.02756 .56456 L
s
P
p
.001 w
.02381 .58845 m
.02756 .58845 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
p
p
p
.001 w
.02381 .01514 m
.04286 .01532 L
.0619 .01649 L
.08095 .01937 L
.1 .02444 L
.11905 .03195 L
.1381 .04201 L
.15714 .05459 L
.17619 .06957 L
.19524 .08674 L
.21429 .10586 L
.23333 .12663 L
.25238 .14876 L
.27143 .17195 L
.29048 .19587 L
.30952 .22025 L
.32857 .24482 L
.34762 .26931 L
.36667 .29351 L
.38571 .31722 L
.40476 .34027 L
.42381 .3625 L
.44286 .38381 L
.4619 .4041 L
.48095 .4233 L
.5 .44136 L
.51905 .45825 L
.5381 .47397 L
.55714 .48852 L
.57619 .50191 L
.59524 .51417 L
.61429 .52535 L
.63333 .53549 L
.65238 .54463 L
.67143 .55284 L
.69048 .56017 L
.70952 .56669 L
.72857 .57245 L
.74762 .57752 L
.76667 .58195 L
.78571 .5858 L
.80476 .58913 L
.82381 .59199 L
.84286 .59443 L
.8619 .5965 L
.88095 .59824 L
.9 .59969 L
.91905 .60089 L
.9381 .60188 L
.95714 .60268 L
Mistroke
.97619 .60332 L
Mfstroke
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .04 .02 ] 0 setdash
.001 w
.02381 .01514 m
.04286 .02048 L
.0619 .03443 L
.08095 .05426 L
.1 .0777 L
.11905 .10293 L
.1381 .12848 L
.15714 .15321 L
.17619 .17627 L
.19524 .19704 L
.21429 .2151 L
.23333 .23019 L
.25238 .24222 L
.27143 .25118 L
.29048 .25715 L
.30952 .2603 L
.32857 .26083 L
.34762 .25897 L
.36667 .25499 L
.38571 .24916 L
.40476 .24175 L
.42381 .23303 L
.44286 .22325 L
.4619 .21267 L
.48095 .2015 L
.5 .18995 L
.51905 .17821 L
.5381 .16644 L
.55714 .15479 L
.57619 .14337 L
.59524 .13228 L
.61429 .12162 L
.63333 .11145 L
.65238 .10181 L
.67143 .09275 L
.69048 .08428 L
.70952 .07642 L
.72857 .06916 L
.74762 .06251 L
.76667 .05645 L
.78571 .05095 L
.80476 .046 L
.82381 .04156 L
.84286 .03761 L
.8619 .03412 L
.88095 .03104 L
.9 .02836 L
.91905 .02602 L
.9381 .02402 L
.95714 .0223 L
Mistroke
.97619 .02084 L
Mfstroke
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .05 .01 .01 .01 ] 0 setdash
.001 w
.02381 .01514 m
.04286 .01472 L
.0619 .01493 L
.08095 .01612 L
.1 .0185 L
.11905 .02216 L
.1381 .02716 L
.15714 .03345 L
.17619 .04097 L
.19524 .04959 L
.21429 .0592 L
.23333 .06964 L
.25238 .08075 L
.27143 .09238 L
.29048 .10437 L
.30952 .11657 L
.32857 .12886 L
.34762 .1411 L
.36667 .15318 L
.38571 .165 L
.40476 .17648 L
.42381 .18754 L
.44286 .19814 L
.4619 .20821 L
.48095 .21774 L
.5 .2267 L
.51905 .23506 L
.5381 .24284 L
.55714 .25003 L
.57619 .25665 L
.59524 .2627 L
.61429 .26821 L
.63333 .2732 L
.65238 .2777 L
.67143 .28173 L
.69048 .28533 L
.70952 .28852 L
.72857 .29134 L
.74762 .29382 L
.76667 .29598 L
.78571 .29786 L
.80476 .29948 L
.82381 .30087 L
.84286 .30206 L
.8619 .30306 L
.88095 .3039 L
.9 .3046 L
.91905 .30518 L
.9381 .30565 L
.95714 .30603 L
Mistroke
.97619 .30634 L
Mfstroke
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Rational Polynomial Approximations
:[font = input; Cclosed; preserveAspect; startGroup]
h = 1/((10s+1)(50s+1))
:[font = output; output; inactive; preserveAspect; endGroup]
1/((1 + 10*s)*(1 + 50*s))
;[o]
          1
---------------------
(1 + 10 s) (1 + 50 s)
:[font = input; Cclosed; preserveAspect; startGroup]
delay = Exp[-a s]
:[font = output; output; inactive; preserveAspect; endGroup]
E^(-(a*s))
;[o]
 -(a s)
E
:[font = input; preserveAspect]
Needs["Calculus`Pade`"]
:[font = input; Cclosed; preserveAspect; startGroup]
Pade[delay, {s, 0, 2, 2}]
:[font = output; output; inactive; preserveAspect; endGroup]
(1 - (a*s)/2 + (a^2*s^2)/12)/(1 + (a*s)/2 + (a^2*s^2)/12)
;[o]
           2  2
    a s   a  s
1 - --- + -----
     2     12
---------------
           2  2
    a s   a  s
1 + --- + -----
     2     12
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, % h]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
TransferFunction[s, {{(1 - (a*s)/2 + (a^2*s^2)/12)/
 
     ((1 + 10*s)*(1 + 50*s)*(1 + (a*s)/2 + (a^2*s^2)/12))}}]
;[o]
TransferFunction[s, {{
 
                            2  2
                     a s   a  s
                 1 - --- + -----
                      2     12
     ---------------------------------------}}]
                                       2  2
                                a s   a  s
     (1 + 10 s) (1 + 50 s) (1 + --- + -----)
                                 2     12
^*)
