(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
9. Feedback Control Systems Design
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Pole Assignment with State Feedback
:[font = input; preserveAspect]
Needs["ControlSystems`Master`"]
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, 1/s^2]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{s^(-2)}}]
;[o]
                       -2
TransferFunction[s, {{s  }}]
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[StateSpace[%],
 Sampled -> Period[T]
]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{1, T}, {0, 1}}, {{T^2/2}, {T}}, 
 
   {{1, 0}}, Sampled -> Period[T]]]
;[o]
   1   T

A  0   1


    2
   T
   --
   2

B  T


C  1   0
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackGains[%, {z1, z2}]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
{{(1 - z1 - z2 + z1*z2)/T^2, (3 - z1 - z2 - z1*z2)/(2*T)}}
;[o]
  1 - z1 - z2 + z1 z2  3 - z1 - z2 - z1 z2
{{-------------------, -------------------}}
           2                   2 T
          T
:[font = input; Cclosed; preserveAspect; startGroup]
% /. {
 z1 -> .8 + .2I,
 z2 -> .8 - .2I,
 T -> 0.1
}//Chop
:[font = output; output; inactive; preserveAspect; endGroup]
{{8.000000000000005, 3.599999999999999}}
;[o]
{{8., 3.6}}
:[font = input; Cclosed; preserveAspect; startGroup]
n = 8
:[font = output; output; inactive; preserveAspect; endGroup]
8
;[o]
8
:[font = input; Cclosed; preserveAspect; startGroup]
(a = DiagonalMatrix[Range[n]]//N)//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{1., 0, 0, 0, 0, 0, 0, 0}, 
 
   {0, 2., 0, 0, 0, 0, 0, 0}, {0, 0, 3., 0, 0, 0, 0, 0}, 
 
   {0, 0, 0, 4., 0, 0, 0, 0}, {0, 0, 0, 0, 5., 0, 0, 0}, 
 
   {0, 0, 0, 0, 0, 6., 0, 0}, {0, 0, 0, 0, 0, 0, 7., 0}, 
 
   {0, 0, 0, 0, 0, 0, 0, 8.}}]
;[o]
1.   0    0    0    0    0    0    0

0    2.   0    0    0    0    0    0

0    0    3.   0    0    0    0    0

0    0    0    4.   0    0    0    0

0    0    0    0    5.   0    0    0

0    0    0    0    0    6.   0    0

0    0    0    0    0    0    7.   0

0    0    0    0    0    0    0    8.
:[font = input; Cclosed; preserveAspect; startGroup]
b = Table[{1.}, {n}]
:[font = output; output; inactive; preserveAspect; endGroup]
{{1.}, {1.}, {1.}, {1.}, {1.}, {1.}, {1.}, {1.}}
;[o]
{{1.}, {1.}, {1.}, {1.}, {1.}, {1.}, {1.}, {1.}}
:[font = input; Cclosed; preserveAspect; startGroup]
poles = Range[-n, -1.]
:[font = output; output; inactive; preserveAspect; endGroup]
{-8, -7, -6, -5, -4, -3, -2, -1}
;[o]
{-8, -7, -6, -5, -4, -3, -2, -1}
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackGains[a, b, poles,
 Method -> Ackermann, AdmissibleError -> .0001];
:[font = message; inactive; preserveAspect; endGroup]
StateFeedbackGains::bpl: 
   Warning: Pole location deviates from the required one by
     more than 0.01%
:[font = input; Cclosed; preserveAspect; startGroup]
$MachinePrecision
:[font = output; output; inactive; preserveAspect; endGroup]
16
;[o]
16
:[font = input; preserveAspect]
{a, b, poles} = SetPrecision[{a, b, poles}, 25];
:[font = input; preserveAspect]
StateFeedbackGains[a, b, poles,
 Method -> Ackermann, AdmissibleError -> .0001];
:[font = input; Cclosed; preserveAspect; startGroup]
Max[Eigenvalues[a - b.%] - poles]
:[font = output; output; inactive; preserveAspect; endGroup]
5.242*10^-12
;[o]
        -12
5.242 10
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup]
Pole Assignment Using Ackermann's Formula
:[font = input; preserveAspect]
aircraft = StateSpace[
 {
 {-10,   0, -10, 0},
 {  0, -.7,   9, 0},
 {  0,  -1, -.7, 0},
 {  1,   0,   0, 0}
 },
 {
 {20,   2.8},
 { 0, -3.13},
 { 0,     0},
 { 0,     0}
 }
];
:[font = input; preserveAspect]
poles = {-10, -8, -5, -2};
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackGains[aircraft, poles, Method -> Ackermann]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0, 0}, {-16.92047377326565, -19.48157398247406, 
 
   25.60834779412163, -169.2047377326565}}
;[o]
{{0, 0, 0, 0}, {-16.9205, -19.4816, 25.6083, -169.205}}
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackGains[aircraft, poles,
 Method -> Ackermann,
 ControlInput -> 1
]
:[font = message; inactive; preserveAspect]
LinearSolve::sing: 
   Matrix {{20, -200, 2000., -20000.}, <<3>>} is singular.
:[font = message; inactive; preserveAspect]
LinearSolve::nosol: 
   Linear equation encountered which has no solution.
:[font = message; inactive; preserveAspect]
StateFeedbackGains::nos: 
   Cannot find feedback gain matrix. The system may not be
     controllable.
:[font = output; output; inactive; preserveAspect; endGroup]
StateFeedbackGains[{{-10, 0, -10, 0}, {0, -0.7, 9, 0}, 
 
   {0, -1, -0.7, 0}, {1, 0, 0, 0}}, 
 
  {{20, 2.8}, {0, -3.13}, {0, 0}, {0, 0}}, 
 
  {-10, -8, -5, -2}, Method -> Ackermann, ControlInput -> 1]
;[o]
StateFeedbackGains[{{-10, 0, -10, 0}, {0, -0.7, 9, 0}, 
 
   {0, -1, -0.7, 0}, {1, 0, 0, 0}}, 
 
  {{20, 2.8}, {0, -3.13}, {0, 0}, {0, 0}}, 
 
  {-10, -8, -5, -2}, Method -> Ackermann, ControlInput -> 1]
:[font = input; Cclosed; preserveAspect; startGroup]
Controllable[Subsystem[aircraft, 1]]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
False
;[o]
False
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup]
Robust Pole Assignment
:[font = input; Cclosed; preserveAspect; startGroup]
kA = StateFeedbackGains[aircraft, poles,
 Method -> Ackermann]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 0, 0, 0}, {-16.92047377326565, -19.48157398247406, 
 
   25.60834779412163, -169.2047377326565}}
;[o]
{{0, 0, 0, 0}, {-16.9205, -19.4816, 25.6083, -169.205}}
:[font = input; Cclosed; preserveAspect; startGroup]
k1 = StateFeedbackGains[aircraft, poles,
 Method -> KNVD,
 Iterations -> 1,
 RandomOrthogonalComplement -> False
]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.4000000000000091, 0.2504792332268681, 
 
   -0.3474760383387626, 4.000000000000077}, 
 
  {-(4.910217440865934*10^-14), -1.789137380191693, 
 
   -1.089456869009585, -(4.278763645369902*10^-13)}}
;[o]
{{0.4, 0.250479, -0.347476, 4.}, 
 
              -14                                 -13
  {-4.91022 10   , -1.78914, -1.08946, -4.27876 10   }}
:[font = input; Cclosed; preserveAspect; startGroup]
k10 = StateFeedbackGains[aircraft, poles,
 Method -> KNVD,
 Iterations -> 10,
 RandomOrthogonalComplement -> False
]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.3108914098721602, 0.5165326101646378, 
 
   -1.139437579883839, 2.948404667090487}, 
 
  {-0.982953009090095, -3.237840328437401, 
 
   2.02740700707748, -6.187375594718869}}
;[o]
{{0.310891, 0.516533, -1.13944, 2.9484}, 
 
  {-0.982953, -3.23784, 2.02741, -6.18738}}
:[font = input; preserveAspect]
distort[expr_, err_] := expr /.
 x_?NumberQ :> x(1 + Random[Real, {-err, err}])
:[font = input; preserveAspect]
dks = distort[{kA, k1, k10}, .01];
:[font = input; Cclosed; preserveAspect; startGroup]
Eigenvalues[
 StateFeedbackConnect[aircraft, #][[1]]
]& /@ dks
:[font = output; output; inactive; preserveAspect; endGroup]
{{-8.76897217949318 + 1.471937759095336*I, 
 
   -8.76897217949318 - 1.471937759095336*I, 
 
   -5.16887558750856, -1.94715721939832}, 
 
  {-10.53392331415821, -7.529041511579214, 
 
   -4.971276519885766, -2.013009654928653}, 
 
  {-10.04595395342962, -7.965328590717417, 
 
   -4.955458677466699, -1.996596543643232}}
;[o]
{{-8.76897 + 1.47194 I, -8.76897 - 1.47194 I, -5.16888, 
 
   -1.94716}, {-10.5339, -7.52904, -4.97128, -2.01301}, 
 
  {-10.046, -7.96533, -4.95546, -1.9966}}
:[font = input; Cclosed; preserveAspect; startGroup]
Max[Abs[(# - poles)/poles]]& /@ %
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup]
{0.2075872926131427, 0.05886981105259826, 
 
  0.00890826450666022}
;[o]
{0.207587, 0.0588698, 0.00890826}
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
State Reconstruction
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[
 {{0, 1, 0, 0},
   {0, 0, (-3g m)/(4m + 7M), 0},
   {0, 0, 0, 1},
   {0, 0, (6g(m + M))/(4L m + 7 L M), 0}},
 {{0}, {7/(4m + 7M)}, {0}, {-6/(4L m + 7L M)}},
 {{1, 0, 0, 0}},
 {{0}}
]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1, 0, 0}, 
 
    {0, 0, (-3*g*m)/(4*m + 7*M), 0}, {0, 0, 0, 1}, 
 
    {0, 0, (6*g*(m + M))/(4*L*m + 7*L*M), 0}}, 
 
   {{0}, {7/(4*m + 7*M)}, {0}, {-6/(4*L*m + 7*L*M)}}, 
 
   {{1, 0, 0, 0}}, {{0}}]]
;[o]
   0   1   0               0

            -3 g m
           ---------
   0   0   4 m + 7 M       0

   0   0   0               1

            6 g (m + M)
           -------------
A  0   0   4 L m + 7 L M   0


   0

       7
   ---------
   4 m + 7 M

   0

        -6
   -------------
B  4 L m + 7 L M


C  1   0   0   0


D  0
:[font = input; Cclosed; preserveAspect; startGroup]
EstimatorGains[%, {p1, p2, p3, p4},
 ComplexVariables -> None
]//Apart
:[font = output; output; inactive; preserveAspect; endGroup]
{{-p1 - p2 - p3 - p4}, {(6*g*m + 6*g*M + 4*L*m*p1*p2 + 
 
       7*L*M*p1*p2 + 4*L*m*p1*p3 + 7*L*M*p1*p3 + 
 
       4*L*m*p2*p3 + 7*L*M*p2*p3)/(L*(4*m + 7*M)) + 
 
    (p1 + p2 + p3)*p4}, {(6*g*m*p1 + 6*g*M*p1 + 6*g*m*p2 + 
 
       6*g*M*p2 + 6*g*m*p3 + 6*g*M*p3 + 4*L*m*p1*p2*p3 + 
 
       7*L*M*p1*p2*p3)/(3*g*L*m) + 
 
    ((6*g*m + 6*g*M + 4*L*m*p1*p2 + 7*L*M*p1*p2 + 
 
         4*L*m*p1*p3 + 7*L*M*p1*p3 + 4*L*m*p2*p3 + 
 
         7*L*M*p2*p3)*p4)/(3*g*L*m)}, 
 
  {(-2*(m + M)*(6*g*m + 6*g*M + 4*L*m*p1*p2 + 7*L*M*p1*p2 + 
 
         4*L*m*p1*p3 + 7*L*M*p1*p3 + 4*L*m*p2*p3 + 
 
         7*L*M*p2*p3))/(L^2*m*(4*m + 7*M)) - 
 
    ((6*g*m*p1 + 6*g*M*p1 + 6*g*m*p2 + 6*g*M*p2 + 
 
         6*g*m*p3 + 6*g*M*p3 + 4*L*m*p1*p2*p3 + 
 
         7*L*M*p1*p2*p3)*p4)/(3*g*L*m)}}
;[o]
{{-p1 - p2 - p3 - p4}, {(6 g m + 6 g M + 4 L m p1 p2 + 
 
       7 L M p1 p2 + 4 L m p1 p3 + 7 L M p1 p3 + 
 
       4 L m p2 p3 + 7 L M p2 p3) / (L (4 m + 7 M)) + 
 
    (p1 + p2 + p3) p4}, {(6 g m p1 + 6 g M p1 + 6 g m p2 + 
 
       6 g M p2 + 6 g m p3 + 6 g M p3 + 4 L m p1 p2 p3 + 
 
       7 L M p1 p2 p3) / (3 g L m) + 
 
    ((6 g m + 6 g M + 4 L m p1 p2 + 7 L M p1 p2 + 
 
         4 L m p1 p3 + 7 L M p1 p3 + 4 L m p2 p3 + 
 
         7 L M p2 p3) p4) / (3 g L m)}, 
 
  {(-2 (m + M) (6 g m + 6 g M + 4 L m p1 p2 + 7 L M p1 p2 + 
 
         4 L m p1 p3 + 7 L M p1 p3 + 4 L m p2 p3 + 
 
                           2
         7 L M p2 p3)) / (L  m (4 m + 7 M)) - 
 
    ((6 g m p1 + 6 g M p1 + 6 g m p2 + 6 g M p2 + 
 
         6 g m p3 + 6 g M p3 + 4 L m p1 p2 p3 + 
 
         7 L M p1 p2 p3) p4) / (3 g L m)}}
:[font = input; Cclosed; preserveAspect; startGroup]
% /. { m -> .15, M -> 1, L -> 2, g -> 9.81, p1 -> -2,
 p2 -> -2 + I, p3 -> -2 - I, p4 -> -3
}//Chop
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
{{9}, {35.45322368421053}, {-153.3583644806887}, 
 
  {-323.4560264990969}}
;[o]
{{9}, {35.4532}, {-153.358}, {-323.456}}
^*)
